// VARIABLE SASS
$primary    : #ff6348;
$secondary  : #b64633;
$bgLight    : #2c3e50;
$bgDark     : #1e2b38;
$bgUltraDark: #0f151c;
$white      : #ffffff;

// IMPORT SASS BOOTSTRAP
@import "../../node_modules/bootstrap/scss/bootstrap.scss";
// IMPORT SASS CUSTOM
@import "./wave";
@import "./indexHtml";
@import "./rechercheHtml";
@import "./contentCardHtml";

/// STYLE UNIVERSAL ///

body {
    font-family     : 'Audiowide', cursive;
    background-color: $bgLight;
    color           : $white;

    p {
        font-size: 16px;
    }
}

// BANNER - UNIVERSAL //

.banner {
    z-index       : 999;
    position      : absolute;
    top           : 0;
    left          : 0;
    right         : 0;
    display       : flex;
    flex-direction: column;
    align-items   : center;
    transition    : 200ms ease-in;
    
    // TITLE
    a {
        padding        : 0 10px;
        color          : $white;
        font-size      : 4rem;
        letter-spacing : 0.2rem;
        text-shadow    : 3px 3px 0px $primary;
        text-decoration: none;
        transition     : 100ms;

        &:hover {
            color      : $primary;
            transform  : translate(-3px, -3px);;
            text-shadow: 3px 3px 0px $white;
        }
    }

    // DIV INPUT + BTN
    .search {
        display        : flex;
        align-items    : center;
        justify-content: center;

        // INPUT - UNIVERSAL
        #recherche {
            max-width : 250px;
            transition: 200ms;

            &:focus {
                box-shadow: 0px 0px 0px 1px $primary;
            }
        }

        // BUTTON - UNIVERSAL
        .btn {
            color           : $white;
            font-weight     : bold;
            background-color: $primary;
            border          : 2px solid $primary;
            transition      : 300ms;

            &:hover {
                color           : $bgLight;
                background-color: $white;
            }
        }
    }

    // DIV SELECT BOX
    .type {
        display    : flex;
        flex-wrap  : wrap;
        align-items: center;
        
        // INPUT MOVIE / TV - UNIVERSAL
        input[type='radio']:after {
            width           : 15px;
            height          : 15px;
            border-radius   : 15px;
            top             : -2px;
            left            : -1px;
            position        : relative;
            background-color: $bgLight;
            content         : '';
            display         : inline-block;
            visibility      : visible;
            border          : 2px solid white;
        }

        input[type='radio']:checked:after {
            width           : 15px;
            height          : 15px;
            border-radius   : 15px;
            top             : -2px;
            left            : -1px;
            position        : relative;
            background-color: $primary;
            content         : '';
            display         : inline-block;
            visibility      : visible;
            border          : 2px solid white;
        }
    }
}

// BANNER STYLE WHEN SCROLL - UNIVERSAL //

.banner.scroll {
    position        : fixed;
    top             : 0;
    left            : 0;
    right           : 0;
    display         : flex;
    flex-direction  : row;
    margin          : 0 auto 1rem auto;
    background-color: $bgDark;

    // TITLE - UNIVERSAL
    a {
        font-size: 2.5rem;
    }

    // SUBTITLE - UNIVERSAL
    p {
        display: none;
    }

    // INPUT + BUTTON - UNIVERSAL
    .search {
        order        : 2;
        display      : flex;
        margin-bottom: 10px;
    }

    // INPUT MOVIE / TV - UNIVERSAL
    .type {
        order      : 1;
        margin-left: auto;
    }
}

// MEDIA QUERIES BANNER //

@media screen and (max-width: 765px) {

    // BANNER SCROLL - UNIVERSAL
    .banner.scroll {
        position        : fixed;
        top             : 0;
        left            : 0;
        right           : 0;
        display         : flex;
        flex-direction  : column;
        background-color: $bgDark;

        // TITLE - UNIVERSAL
        a {
            font-size: 2.5rem;
        }

        // SUBTITLE - UNIVERSAL
        p {
            display: none;
        }

        // BUTTON
        .search {
            display: flex;

            #recherche {
                max-width: 150px;
            }
        }

        // INPUT MOVIE / TV - UNIVERSAL
        .type {
            display: none;
        }
    }
}

// CONTAINER - UNIVERSAL //

.divContainer {
    display       : flex;
    flex-wrap     : wrap;
    flex-direction: column;
    width         : 90%;
    margin        : 5rem auto;

    // CONTAINER DES DIV CONTENT - DISPLAY
    .containerContent {
        display   : flex;
        width     : 95%;
        height    : 450px;
        margin    : auto;
        overflow-x: scroll;

        // DIV CONTENT INFORMATIONS - DISPLAY
        .divContent {
            display         : flex;
            flex-direction  : column;
            max-width       : 164px;
            height          : 374px;
            padding         : 5px;
            margin          : 10px 10px;
            border-radius   : 5px;
            background-color: $bgDark;
            box-shadow      : 0 0 5px 3px $bgUltraDark;

            img {
                height: 231px;
            }

            :nth-child(2) {
                max-height: 72px;
                margin-top: 15px;
                overflow  : hidden;
            }

            :nth-child(3) {
                margin-top   : auto;
                margin-bottom: 0;
                text-align   : right;
            }
            
            .progress {
                height: 10px;

                .progressBar {
                    background-color: $primary;
                }
            }
        }
    }

    // CONTAINER DES DIV CONTENT - SEARCH
    .containerContentSearch {
        display        : flex;
        flex-wrap      : wrap;
        justify-content: center;

        // DIV CONTENT INFORMATIONS - SEARCH
        .divContent {
            display         : flex;
            flex-direction  : column;
            max-width       : 164px;
            height          : 374px;
            padding         : 5px;
            margin          : 10px 10px;
            border-radius   : 5px;
            background-color: $bgDark;
            box-shadow      : 0 0 5px 3px $bgUltraDark;

            img {
                height: 231px;
            }

            :nth-child(2) {
                max-height: 72px;
                margin-top: 15px;
                overflow  : hidden;
            }

            :nth-child(3) {
                margin-top   : auto;
                margin-bottom: 0;
                text-align   : right;
            }

            .progress {
                height: 10px;

                .progressBar {
                    background-color: $primary;
                }
            }
        }
    }
}